import java.awt.*;

public class DrawningObjectLocomotive implements IDrawningObject {
    private DrawningLocomotive _locomotive = null;

    public DrawningObjectLocomotive(DrawningLocomotive locomotive)
    {
        _locomotive = locomotive;
    }
    public float getStep() {
        if (_locomotive.Locomotive != null) {
            return _locomotive.Locomotive.Step();
        }
        return 0;
    }

    public void DrawningObject(Graphics g)
    {
        if (_locomotive != null) _locomotive.DrawTransport((Graphics2D) g);
    }

    public float[] GetCurrentPosition()
    {
        if (_locomotive != null) {
            return _locomotive.GetCurrentPosition();
        }
        return null;
    }

    public void MoveObject(Direction direction)
    {
        if (_locomotive != null) _locomotive.MoveTransport(direction);
    }

    public void SetObject(int x, int y, int width, int height)
    {
        if (_locomotive != null) _locomotive.SetPosition(x, y, width, height);
    }
}
